Appointments
Create appointment service
Requires appointments:settings and an account administrator. Services are the appointment types used when listing slots and creating bookings.
POST
/
api
/
v2
/
accounts
/
{accountId}
/
appointments
/
services
Create appointment service
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/services \
--header 'Content-Type: application/json' \
--data '
{
"buffer_after_minutes": 360,
"buffer_before_minutes": 360,
"color": "#5CB198",
"currency": "SAR",
"description": "<string>",
"duration_minutes": 30,
"name": "Initial consultation",
"position": 1,
"price": 250
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/services"
payload = {
"buffer_after_minutes": 360,
"buffer_before_minutes": 360,
"color": "#5CB198",
"currency": "SAR",
"description": "<string>",
"duration_minutes": 30,
"name": "Initial consultation",
"position": 1,
"price": 250
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
buffer_after_minutes: 360,
buffer_before_minutes: 360,
color: '#5CB198',
currency: 'SAR',
description: '<string>',
duration_minutes: 30,
name: 'Initial consultation',
position: 1,
price: 250
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": 3,
"buffer_after_minutes": 123,
"buffer_before_minutes": 123,
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"description": "<string>",
"duration_minutes": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"metadata": {},
"name": "<string>",
"position": 123,
"price": 123,
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}Path Parameters
HueChat account ID
Body
application/json
Appointment service/type
Required range:
0 <= x <= 720Required range:
0 <= x <= 720Example:
"#5CB198"
Required string length:
3Example:
"SAR"
Required range:
5 <= x <= 1440Example:
30
Required string length:
1 - 160Example:
"Initial consultation"
Example:
1
Required range:
x >= 0Example:
250
Response
OK
⌘I
Create appointment service

